Package org.jbpm.services.task.assignment

## Class UserTaskLoad

- java.lang.Object
- - org.jbpm.services.task.assignment.UserTaskLoad

- All Implemented Interfaces:
    `Serializable`, `Comparable<UserTaskLoad>`

      public class UserTaskLoad
      extends Object
      implements Serializable, Comparable<UserTaskLoad>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UserTaskLoad​(String calculatorIdentifier, String user)` |
    `UserTaskLoad​(String calculatorIdentifier, String user, Double calculatedLoad)` |
    `UserTaskLoad​(String calculatorIdentifier, org.kie.api.task.model.User user)` |
    `UserTaskLoad​(String calculatorIdentifier, org.kie.api.task.model.User user, Double calculatedLoad)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(UserTaskLoad o)` |
    `Double` | `getCalculatedLoad()` |
    `String` | `getCalculatorIdentifier()` |
    `org.kie.api.task.model.User` | `getUser()` |
    `void` | `setCalculatedLoad​(Double calculatedLoad)` |
    `void` | `setCalculatorIdentifier​(String calculatorIdentifier)` |
    `void` | `setUser​(org.kie.api.task.model.User user)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserTaskLoad

          public UserTaskLoad​(String calculatorIdentifier,
                              org.kie.api.task.model.User user,
                              Double calculatedLoad)

    - #### UserTaskLoad

          public UserTaskLoad​(String calculatorIdentifier,
                              String user,
                              Double calculatedLoad)

    - #### UserTaskLoad

          public UserTaskLoad​(String calculatorIdentifier,
                              org.kie.api.task.model.User user)

    - #### UserTaskLoad

          public UserTaskLoad​(String calculatorIdentifier,
                              String user)

  - ### Method Detail

    - #### getCalculatorIdentifier

          public String getCalculatorIdentifier()

    - #### setCalculatorIdentifier

          public void setCalculatorIdentifier​(String calculatorIdentifier)

    - #### getUser

          public org.kie.api.task.model.User getUser()

    - #### setUser

          public void setUser​(org.kie.api.task.model.User user)

    - #### getCalculatedLoad

          public Double getCalculatedLoad()

    - #### setCalculatedLoad

          public void setCalculatedLoad​(Double calculatedLoad)

    - #### compareTo

          public int compareTo​(UserTaskLoad o)

      Specified by:
        `compareTo` in interface `Comparable<UserTaskLoad>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`